Ticket #29297

点字ディスプレイ出力における略語の日本語化

Open Date: 2012-08-19 13:32 Last Update: 2014-07-01 14:09

Reporter:
Owner:
Status:
Closed
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Duplicate
File:
None

Details

点字ディスプレイ出力では現在 Windows 操作で頻繁に使われる言葉を、アルファベットの略語で表示しています。

  • chk チェックボックス
  • rbtn ラジオボタン
  • submnu サブメニュー

これらの表記について、日本語の場合は(いまの点訳エンジンの不備を解決したとしても)外字符が入るため、もしかすると短縮にならない、あるいはかえって読みにくい、ということがありえます。

また、NVDAを用いたパソコン指導の際に、音声は日本語なのに、点字のメッセージは英語であると、始めて学ぶ方が混乱する可能性があります。

また、点字ビューアーを目の見える人が確認するときにも音声の通知と一致していたほうがよいかも知れません。

この提案に関して、メッセージ翻訳のレベルで対応できるかどうか、検討します。

Ticket History (3/10 Histories)

2012-08-19 13:32 Updated by: nishimoto
  • New Ticket "点字ディスプレイ出力における略語の日本語化" created
2012-08-21 14:39 Updated by: nishimoto
  • Milestone Update from (None) to 2012.3jp (closed)
  • Component Update from (None) to 言語依存リソース
Comment

調べてみたところ、記号がうまく出力できない、日本語と英語が適切に区切られていない、といった日本語の点訳エンジンの不備で、正しく読み取れない箇所がありました。

以下のコミットで、点字ディスプレイ出力で使われている用語を、記号や英字ではなく、カナを使うように変更しました。

lp:nvdajp rev 4295

具体的な差分は以下のとおりです。記録のために全体の diff を残しておきます。長文ですがご容赦ください。

=== modified file 'source/locale/ja/LC_MESSAGES/nvda.po'
--- source/locale/ja/LC_MESSAGES/nvda.po	2012-08-17 03:35:43 +0000
+++ source/locale/ja/LC_MESSAGES/nvda.po	2012-08-21 05:25:14 +0000
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5347\n"
 "Report-Msgid-Bugs-To: nvda-translations@freelists.org\n"
 "POT-Creation-Date: 2012-08-13 08:03+0100\n"
-"PO-Revision-Date: 2012-08-17 12:28+0900\n"
+"PO-Revision-Date: 2012-08-21 14:25+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -329,38 +329,38 @@
 #. Translators: Displayed in braille when an object (e.g. a check box) is not checked.
 #: braille.py:261
 msgid "( )"
-msgstr "( )"
+msgstr "チェック ナシ"
 
 #. Translators: Displayed in braille when an object (e.g. a check box) is half checked.
 #: braille.py:243
 msgid "(-)"
-msgstr "(-)"
+msgstr "イチブ チェック"
 
 #. Translators: Displayed in braille when an object (e.g. a check box) is checked.
 #: braille.py:241
 msgid "(x)"
-msgstr "(x)"
+msgstr "チェック アリ"
 
 #. Translators: Displayed in braille when an object (e.g. a tree view item) is collapsed.
 #: braille.py:253
 msgid "+"
-msgstr "+"
+msgstr "クローズ"
 
 #. Translators: Displayed in braille when an object (e.g. a tree view item) is expanded.
 #: braille.py:251
 msgid "-"
-msgstr "-"
+msgstr "オープン"
 
 #. Translators: Displayed in braille for an object which is a
 #. separator.
 #: braille.py:233
 msgid "-----"
-msgstr "-----"
+msgstr "クギリ"
 
 #. Translators: Displayed in braille when an object supports autocompletion.
 #: braille.py:249
 msgid "..."
-msgstr "..."
+msgstr "コウホ アリ"
 
 #: gui/__init__.py:302
 msgid ""
@@ -3281,7 +3281,7 @@
 #. button.
 #: braille.py:209
 msgid "btn"
-msgstr "btn"
+msgstr "ボタン"
 
 #: controlTypes.py:349
 msgid "busy"
@@ -3337,7 +3337,7 @@
 #. combo box.
 #: braille.py:218
 msgid "cbo"
-msgstr "cbo"
+msgstr "コンボボックス"
 
 #: controlTypes.py:216
 msgid "cell"
@@ -3371,7 +3371,7 @@
 #. check box.
 #: braille.py:212
 msgid "chk"
-msgstr "chk"
+msgstr "チェックボックス"
 
 #: controlTypes.py:373
 msgid "clickable"
@@ -3380,7 +3380,7 @@
 #. Translators: Displayed in braille when an object is clickable.
 #: braille.py:257
 msgid "clk"
-msgstr "clk"
+msgstr "クリック カノー"
 
 #: controlTypes.py:224
 msgid "clock"
@@ -3530,7 +3530,7 @@
 #. dialog.
 #: braille.py:224
 msgid "dlg"
-msgstr "dlg"
+msgstr "ダイアログ"
 
 #: controlTypes.py:242
 msgid "document"
@@ -3599,7 +3599,7 @@
 #. editable text field.
 #: braille.py:197
 msgid "edt"
-msgstr "edt"
+msgstr "ヘンシュー カノー"
 
 #. Translators: This is the name of the launch email key found on multimedia keyboards to open an email client.
 #: keyLabels.py:37
@@ -3751,7 +3751,7 @@
 #. graphic.
 #: braille.py:236
 msgid "gra"
-msgstr "gra"
+msgstr "ガゾー"
 
 #: controlTypes.py:203
 msgid "graphic"
@@ -3778,7 +3778,7 @@
 #: braille.py:408
 #, python-format
 msgid "h%s"
-msgstr "高さ%s"
+msgstr "ミダシ レベル %s"
 
 #: controlTypes.py:352
 msgid "half checked"
@@ -4023,20 +4023,20 @@
 #. link.
 #: braille.py:221
 msgid "lnk"
-msgstr "lnk"
+msgstr "リンク"
 
 #. Translators: Displayed in braille for an object which is a
 #. list.
 #: braille.py:200
 msgid "lst"
-msgstr "lst"
+msgstr "リスト"
 
 #. Translators: Displayed in braille when an object (e.g. a tree view item) has a hierarchical level.
 #. %s is replaced with the level.
 #: braille.py:449
 #, python-format
 msgid "lv %s"
-msgstr "lv %s"
+msgstr "レベル %s"
 
 #. Translators: Reported for the main landmark, normally found on web pages.
 #: aria.py:75
@@ -4076,13 +4076,13 @@
 #. menu.
 #: braille.py:206
 msgid "mnu"
-msgstr "mnu"
+msgstr "メニュー "
 
 #. Translators: Displayed in braille for an object which is a
 #. menu bar.
 #: braille.py:203
 msgid "mnubar"
-msgstr "mnubar"
+msgstr "メニューバー"
 
 #: controlTypes.py:366
 msgid "modal"
@@ -4853,7 +4853,7 @@
 #: braille.py:454
 #, python-format
 msgid "r%s"
-msgstr "r%s"
+msgstr "%s ギョー"
 
 #: controlTypes.py:193
 msgid "radio button"
@@ -4867,7 +4867,7 @@
 #. radio button.
 #: braille.py:215
 msgid "rbtn"
-msgstr "rbtn"
+msgstr "ラジオボタン"
 
 #: controlTypes.py:353
 msgid "read only"
@@ -4984,7 +4984,7 @@
 #. Translators: Displayed in braille when an object (e.g. an editable text field) is read-only.
 #: braille.py:255
 msgid "ro"
-msgstr "ro"
+msgstr "ヨミトリ センヨー"
 
 #: controlTypes.py:270
 msgid "root pane"
@@ -5042,7 +5042,7 @@
 #. Translators: Displayed in braille when an object is selected.
 #: braille.py:245
 msgid "sel"
-msgstr "sel"
+msgstr "センタク"
 
 #: controlTypes.py:371
 msgid "selectable"
@@ -5206,7 +5206,7 @@
 #. Translators: Displayed in braille when an object has a popup (usually a sub-menu).
 #: braille.py:247
 msgid "submnu"
-msgstr "submnu"
+msgstr "サブメニュー"
 
 #. Translators: Reported for subscript text.
 #: controlTypes.py:333 speech.py:1086
@@ -5265,7 +5265,7 @@
 #. table.
 #: braille.py:230
 msgid "tb"
-msgstr "tb"
+msgstr "テーブル"
 
 #. Translators: The color teal, which is a mix of green and blue, mostly green.
 #. For more info see http://en.wikipedia.org/wiki/Teal
@@ -5342,7 +5342,7 @@
 #. tree view.
 #: braille.py:227
 msgid "tv"
-msgstr "tv"
+msgstr "ツリービュー"
 
 #: controlTypes.py:346
 msgid "unavailable"
@@ -5404,7 +5404,7 @@
 #. Translators: Displayed in braille for a link which has been visited.
 #: braille.py:414
 msgid "vlnk"
-msgstr "vlnk"
+msgstr "キドク"
 
 #. Translators: This is the name of the volume down key found on multimedia keyboards to reduce playback volume.
 #: keyLabels.py:25
2012-08-21 14:54 Updated by: nishimoto
Comment

ひとつ間違いがあったので修正しました。

lp:nvdajp rev 4296

=== modified file 'source/locale/ja/LC_MESSAGES/nvda.po'
--- source/locale/ja/LC_MESSAGES/nvda.po	2012-08-21 05:33:32 +0000
+++ source/locale/ja/LC_MESSAGES/nvda.po	2012-08-21 05:50:55 +0000
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5347\n"
 "Report-Msgid-Bugs-To: nvda-translations@freelists.org\n"
 "POT-Creation-Date: 2012-08-13 08:03+0100\n"
-"PO-Revision-Date: 2012-08-21 14:25+0900\n"
+"PO-Revision-Date: 2012-08-21 14:50+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -360,7 +360,7 @@
 #. Translators: Displayed in braille when an object supports autocompletion.
 #: braille.py:249
 msgid "..."
-msgstr "コウホ アリ"
+msgstr "コーホ アリ"
 
 #: gui/__init__.py:302
 msgid ""
2012-09-12 21:28 Updated by: nishimoto
Comment

nvda-japanese-users で本件に関するご意見があったので、あらためて論点をまとめて、下記を投稿しました。こちらにも転記しておきます。

(1)NVDA本家の開発の経緯

省略形の追加が進んできたことの記録は以下のチケットから伺えます。

一方で例えば rbtn がラジオボタンである、といったことはユーザーガイドには書かれていません。

また、この点字出力用の省略形は各国語の翻訳者が自由に変更できるようになっています。

(2)日本語版の2012.2.1jpまでの状況

記号がうまく出力できない、日本語と英語が適切に区切られていない、といった日本語の点訳エンジンの不備で、正しく読み取れない箇所がありました。

(3)音声と点字の対応に関する意見

「NVDAを用いたパソコン指導の際に、音声は日本語なのに、点字のメッセージは英語であると、始めて学ぶ方が混乱する可能性がある」 といった議論がありました。

(4)暫定的な対策

日本語点訳エンジンは書き直しを進めていますが完成までまだ時間がかかるため、当面のエンジンの不備を回避するために、カナ表記にすることが有効かも知れません。

(5)日本語の特性の考慮

日本語の点字を前提にすると外字符をつけることになり、 submnu で1文字節約しても外字符で7文字に戻ってしまいます。

外字符を使わないカナ表記で略語を作れば、セルの節約にならないでしょうか?

(6)既存のスクリーンリーダーとの整合性、ユーザーの慣れの問題

日本で多く見積もっても2000人しかおられない現在のNVDAユーザーの多数決、本当はもっと普及するべき点字ディスプレイの現在のユーザーの馴染んだ使いかただけを考慮してよいのか、という論点をあえて指摘しておきます。

(7)切り替えができればよいという意見

おそらく「ユーザーが切り替えられるように」という意見も出るでしょう。 日本語チームでも議論は出ました。検討する価値はあります。

単なる用語の置き換えは「翻訳」の範囲でできる作業です。 しかし、ユーザーが選べるようにするには、設定画面を作り、設定を保存できるようにして、出力の切り替え処理をしなくてはいけません。

単なる翻訳の修正ではなく複雑な手直しが必要になります。 将来、日本語版を保守していくことが、じわじわと困難になります。

文字説明の拡張をこの数週間やってきて、いまの仕様では複雑すぎると感じています。 何らかの拡張が破綻なくできるかどうかは、実際にソースコードを触っている開発者の意見を尊重していただけるとありがたいです。

2012-09-12 21:46 Updated by: nishimoto
Comment

nvda-japanese-users でいただいた(変更前の仕様がよいという)ご意見は以下の内容です:

  • 略語を覚えないといけないが、表示は短ければ短いほど速く読めるから、あえて日本語にしてしまうのはどうか
  • 言語切り替えを使用するニーズを考えるとき、Windowsのコントロールの表示は同じであるほうが便利ではないか
  • 具体的には:海外の人が日本語を読もうとするとき、日本のユーザが英語や他の言語で読むとき。
2012-11-27 22:27 Updated by: nishimoto
  • Ticket Close date is changed to 2012-11-27 22:27
  • Status Update from Open to Closed
Comment

ブランチ jp2012.3 に関しては本チケットは完了とします。

英語に戻して欲しい、あるいはカスタマイズ可能にして欲しい、というご要望があるのは承知しています。

ひきつづきメーリングリストなどでご議論いただければ幸いです。

2013-02-22 15:43 Updated by: nishimoto
Comment

このチケットのステータスは「完了」ですが、もう一度議論していただく余地があるのでコメントします。

2013.1jp に向けて、点訳エンジンの大幅な書き直しをしたので、外字符の処理には不具合はなくなったと考えています。また、プラス記号、マイナス記号、カッコなどの点訳に問題があっても修正は容易と思います。

点字ディスプレイの btn dlg edt などの省略表記を復活させても、大丈夫だと思うのですが、いかがでしょうか。

また「メニュー」を「メニ」、「コンボボックス」を「コボ」にするなど、カナ表記の略語を作ることも、セルを節約する一つの方法と思います。

ご意見をお聞かせください。

2014-06-30 23:36 Updated by: nishimoto
Comment

チケット #33982

点字ディスプレイ出力で chk rbtn などの略語表記を選択可能にする

にて本件の再検討を行います。

2014-07-01 14:07 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Component Update from 言語依存リソース to 点字ディスプレイ
2014-07-01 14:09 Updated by: nishimoto
  • Resolution Update from None to Duplicate
  • Component Update from 点字ディスプレイ to 言語依存リソース
Comment

コメントを書く場所を間違えたので先ほどのコメントは新しいチケットに移動します。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login